<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="10"
      :sm="24"
    >
      <borrow-user-left ref="left" 
      :enterpriseId="enterpriseId" 
      :departId="departId"
      @loadList="loadList"/>
    </a-col>
    <a-col
      :md="14"
      :sm="24"
    >
      <borrow-user-right 
      ref="right" 
      :mainId="mainId" 
      @clearAnother="clearAnother" 
      @getModelMessage="getModelMessage" 
      @canSubmmit="canSubmmit"
      @getAddUserIds="getAddUserIds"
      :userIdList="userIdList"
      :enterpriseId="enterpriseId"
      :departId="departId"
      />
    </a-col>
  </a-row>
</template>
<script>
import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import BorrowUserLeft from './BorrowUserLeft.vue';
import BorrowUserRight from './BorrowUserRight.vue';

export default {
  name: 'WarehouseDepartModel',
  components: {
    BorrowUserLeft,
    BorrowUserRight,
    JeecgListMixin
  },
  props:{
      enterpriseId:{
        type:String,
        default:'',
        required:false
      },
      mainId:{
        type:String,
        default:'',
        required:false
      },
      departId:{
        type: String,
        default: '',
        required: false
      },
      userIdList:{
        type: String,
        default: '',
        required: false
      }

  },
  data() {
    return {
      description: '工厂/车间/产线建模',
    }
  },
  methods: {
   loadList(parentId){
    this.$refs.right.myLoadData(parentId);
   },
   clearAnother(){
      this.$emit('clearAnother')
    },
    clearList(){
      this.$refs.right.onClearSelected();
    },
    getModelMessage(model){
      this.$emit('getModelMessage',model);
    },
    canSubmmit(canSubmmit){
      this.$emit('canSubmmit',canSubmmit);
    },
    getAddUserIds(selectedRowKeys){
         this.$emit("getAddUserIds",selectedRowKeys);
    }
  },
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>